-- m4_changequote(`[[', `]]')
begin;

set search_path to camper, auth, public;

alter sequence user_user_id_seq restart with 42;
insert into auth."user" (email, name, password)
values ('demo@camper', 'Demo User', 'demo')
     , ('admin@camper', 'Demo Admin', 'admin')
;

alter sequence company_company_id_seq restart with 52;
insert into company (slug, business_name, vatin, trade_name, phone, email, web, address, city, province, postal_code, country_code, currency_code, default_lang_tag, legal_disclaimer)
values ('09184122-b276-4be2-9553-e4bbcbafe40d', 'Càmping les mines, S.L.U.', 'ESB17616756', 'Pescamines', parse_packed_phone_number('972 50 60 70', 'ES'), 'info@lesmines.cat', 'https://lesmines.cat/', 'C/ de l’Hort', 'Castelló d’Empúries', 'Girona', '17486', 'ES', 'EUR', 'ca', 'Càmping les mines, S.L.U. és responsable del tractament de les seves dades d’acord amb el RGPD i la LOPDGDD, i les tracta per a mantenir una relació mercantil/comercial amb vostè. Les conservarà mentre es mantingui aquesta relació i no es comunicaran a tercers. Pot exercir els drets d’accés, rectificació, portabilitat, supressió, limitació i oposició a Càmping les mines, S.L.U., amb domicili Carrer de l’Hort 71, 17486 Castelló d’Empúries o enviant un correu electrònic a info@lesmines.cat. Per a qualsevol reclamació pot acudir a agpd.es. Per a més informació pot consultar la nostra política de privacitat a lesmines.cat.');

insert into company_host (company_id, host)
values (52, 'localhost:8080')
     , (52, 'camper.tandem.ws')
;

insert into company_user (company_id, user_id, role)
values (52, 42, 'employee')
     , (52, 43, 'admin')
;

alter sequence media_media_id_seq restart with 62;
select add_media(52, 'plots.avif', 'image/avif', decode('m4_esyscmd([[base64 -w0 demo/plots.avif]])', 'base64'));
select add_media(52, 'safari_tents.avif', 'image/avif', decode('m4_esyscmd([[base64 -w0 demo/safari_tents.avif]])', 'base64'));
select add_media(52, 'bungalows.avif', 'image/avif', decode('m4_esyscmd([[base64 -w0 demo/bungalows.avif]])', 'base64'));
select add_media(52, 'wooden_lodges.avif', 'image/avif', decode('m4_esyscmd([[base64 -w0 demo/wooden_lodges.avif]])', 'base64'));
select add_media(52, 'home_carousel0.jpg', 'image/jpeg', decode('m4_esyscmd([[base64 -w0 demo/home_carousel0.jpg]])', 'base64'));
select add_media(52, 'home_carousel1.jpg', 'image/jpeg', decode('m4_esyscmd([[base64 -w0 demo/home_carousel1.jpg]])', 'base64'));
select add_media(52, 'home_carousel2.jpg', 'image/jpeg', decode('m4_esyscmd([[base64 -w0 demo/home_carousel2.jpg]])', 'base64'));
select add_media(52, 'home_carousel3.jpg', 'image/jpeg', decode('m4_esyscmd([[base64 -w0 demo/home_carousel3.jpg]])', 'base64'));
select add_media(52, 'home_carousel4.jpg', 'image/jpeg', decode('m4_esyscmd([[base64 -w0 demo/home_carousel4.jpg]])', 'base64'));
select add_media(52, 'home_carousel5.jpg', 'image/jpeg', decode('m4_esyscmd([[base64 -w0 demo/home_carousel5.jpg]])', 'base64'));
select add_media(52, 'home_carousel6.jpg', 'image/jpeg', decode('m4_esyscmd([[base64 -w0 demo/home_carousel6.jpg]])', 'base64'));
select add_media(52, 'home_carousel7.jpg', 'image/jpeg', decode('m4_esyscmd([[base64 -w0 demo/home_carousel7.jpg]])', 'base64'));
select add_media(52, 'home_carousel8.jpg', 'image/jpeg', decode('m4_esyscmd([[base64 -w0 demo/home_carousel8.jpg]])', 'base64'));
select add_media(52, 'services_carousel0.avif', 'image/avif', decode('m4_esyscmd([[base64 -w0 demo/services_carousel0.avif]])', 'base64'));
select add_media(52, 'services_carousel1.avif', 'image/avif', decode('m4_esyscmd([[base64 -w0 demo/services_carousel1.avif]])', 'base64'));
select add_media(52, 'services_carousel2.avif', 'image/avif', decode('m4_esyscmd([[base64 -w0 demo/services_carousel2.avif]])', 'base64'));
select add_media(52, 'services_carousel3.avif', 'image/avif', decode('m4_esyscmd([[base64 -w0 demo/services_carousel3.avif]])', 'base64'));
;

insert into home_carousel (media_id, caption)
values (66, 'Volcà de Santa Margarida')
     , (67, 'Gorga fosca Sadernes')
     , (68, 'Castellfollit de la Roca')
     , (69, 'Besalú')
     , (70, 'Santa Pau')
     , (71, 'Banyoles')
     , (72, 'Girona')
     , (73, 'Costa Brava')
     , (74, 'Barcelona')
;

insert into home_carousel_i18n (media_id, lang_tag, caption)
values (66, 'en', 'Santa Margarida volcano')
     , (66, 'es', 'Volcán de Santa Margarida')
     , (67, 'en', 'Sadernes dark gorge')
     , (67, 'es', 'Piletón oscuro Sadernes')
;

insert into services_carousel (media_id, caption)
values (75, 'La Garrotxa')
     , (76, 'Tenda')
     , (77, 'Parceŀles')
     , (78, 'Hamaca')
     , (63, 'Safari Tents')
;

insert into services_carousel_i18n (media_id, lang_tag, caption)
values (76, 'en', 'Tent')
     , (76, 'es', 'Tenda')
     , (77, 'en', 'Plots')
     , (77, 'es', 'Parcelas')
     , (78, 'en', 'Hammock')
     , (78, 'es', 'Amaca')
     , (63, 'en', 'Safari Tents')
     , (63, 'es', 'Tiendas Safari')
;

alter sequence campsite_type_campsite_type_id_seq restart with 72;
insert into campsite_type (company_id, name, media_id, description)
values (52, 'Parceŀles', 62, '')
     , (52, 'Safari Tents', 63, '')
     , (52, 'Bungalous', 64, '')
     , (52, 'Cabanes de fusta', 65, '')
;
insert into campsite_type_i18n (campsite_type_id, lang_tag, name, description)
values (72, 'en', 'Plots', '')
     , (72, 'es', 'Parcelas', '')
     , (73, 'en', 'Safari Tents', '')
     , (73, 'es', 'Tiendas Safari', '')
     , (74, 'en', 'Bungalows', '')
     , (74, 'es', 'Bungalós', '')
     , (75, 'en', 'Wooden Lodges', '')
     , (75, 'es', 'Cabañas de madera', '')
;

alter sequence campsite_campsite_id_seq restart with 82;
select add_campsite(72, '2');
select add_campsite(72, '3');
select add_campsite(72, '4');
select add_campsite(72, '5');
select add_campsite(72, '6');
select add_campsite(72, '7');
select add_campsite(72, '8');
select add_campsite(72, '9');
select add_campsite(72, '10');
select add_campsite(72, '11');
select add_campsite(72, '12');
select add_campsite(72, '14');
select add_campsite(72, '15');
select add_campsite(72, '16');
select add_campsite(72, '17');
select add_campsite(72, '18');
select add_campsite(72, '19');
select add_campsite(72, '20');
select add_campsite(72, '21');
select add_campsite(72, '22');
select add_campsite(72, '23');
select add_campsite(72, '24');
select add_campsite(72, '25');
select add_campsite(72, '26');
select add_campsite(72, '27');
select add_campsite(72, '28');
select add_campsite(72, '29');
select add_campsite(72, '42');
select add_campsite(72, '43');
select add_campsite(72, '44');
select add_campsite(72, '45');
select add_campsite(72, '46');
select add_campsite(72, '47');
select add_campsite(72, '48');
select add_campsite(72, '50');
select add_campsite(72, '51');
select add_campsite(72, '52');
select add_campsite(72, '53');
select add_campsite(72, '54');
select add_campsite(72, '55');
select add_campsite(72, '56');
select add_campsite(72, '57');
select add_campsite(72, '58');
select add_campsite(72, '59');
select add_campsite(72, '60');
select add_campsite(72, '61');
select add_campsite(72, '62');
select add_campsite(72, '63');
select add_campsite(72, '64');
select add_campsite(72, '65');
select add_campsite(72, '69');
select add_campsite(72, '70');
select add_campsite(72, '71');
select add_campsite(72, '72');
select add_campsite(72, '73');
select add_campsite(72, '74');
select add_campsite(72, '75');
select add_campsite(72, '76');
select add_campsite(72, '77');
select add_campsite(73, '78');
select add_campsite(72, '79');
select add_campsite(72, '80');
select add_campsite(72, '81');
select add_campsite(72, '82');
select add_campsite(72, '83');
select add_campsite(75, '84');
select add_campsite(75, '85');
select add_campsite(72, '89');
select add_campsite(72, '90');
select add_campsite(72, '91');
select add_campsite(72, '92');
select add_campsite(72, '93');
select add_campsite(72, '94');
select add_campsite(72, '95');
select add_campsite(72, '96');
select add_campsite(72, '97');
select add_campsite(72, '98');
select add_campsite(72, 'B1');
select add_campsite(72, 'D1');
select add_campsite(72, 'D2');
select add_campsite(72, 'D3');
select add_campsite(72, 'D4');

alter sequence service_service_id_seq restart with 82;
insert into service (company_id, icon_name, name, description)
values (52, 'information', 'Informació', '<p>A la recepció l’informarem del que pot fer des del càmping mateix o pels voltants.</p>')
     , (52, 'wifi', 'WiFi', '<p>Un 80 % de l’àrea del càmping disposa d’accés WiFi lliure.</p>')
     , (52, 'restaurant', 'Bar & Tapes', '<p>Oberts:</p><ul><li>De l’01/07 al 28/08: cada dia</li><li>D’abril a setembre: caps de setmana i ponts</li></ul>')
     , (52, 'store', 'Botiga', '<p>Oberta a diari.</p><p>Venda de pa del dia per encàrrec.</p>')
     , (52, 'wheelchair', 'Accessibilitat', '<p>Piscines i serveis del càmping adaptats a persones amb mobilitat reduïda.</p>')
     , (52, 'toilet', 'Lavabos', '<p>Ubicació central i pràctica. Nets i ben mantinguts.</p>')
     , (52, 'shower', 'Dutxa', '<p>Aigua calenta, sense fitxes.</p>')
     , (52, 'baby', 'Bany per nadons', '<p>Bany individual per nadons, amb banyera i canviador.</p>')
     , (52, 'pool', 'Piscina', '<p>Piscina per adults i piscina infantil.</p><p><em>(Piscines amb aigua salada.)</em></p>')
     , (52, 'campfire', 'Barbacoa', '<p>Trobareu una barbacoa comunitària de carbó o la possibilitat de llogar una barbacoa de gas (no es pot fer servir llenya o carbó en les parcel·les).</p>')
     , (52, 'rv', 'Estació servei per autocaravanes', '<p>Situada a l’entrada del càmping.</p>')
     , (52, 'castle', 'Zona de jocs', '<p>Una zona central pels més menuts.</p>')
     , (52, 'ball', 'Camp d’esport', '<p>Amb camp de futbol, voley, tenis-taula i espai per jugar.</p>')
     , (52, 'puzzle', 'Sala de jocs i televisió', '<p>Una sala pels dies de mal temps.</p>')
     , (52, 'washer', 'Rentadores i assecadores', '<p>Als safareigs del càmping hi ha dues rentadores i una assecadora que funcionen amb fitxes.</p>')
     , (52, 'fridge', 'Lloguer de neveres', '<p>Possibilitat de llogar neveres per estades llargues amb <a href="https://www.rentit.es/ca/portal/productes/42/">Rent It</a>.</p>')
;

insert into service_i18n (service_id, lang_tag, name, description)
values (82, 'en', 'Information', '<p>At reception we will inform you of what you can do from the campsite itself or in the surrounding area.</p>')
     , (82, 'es', 'Información', '<p>A recepción le informaremos de qué puede hacer en el camping o por los alrededores.</p>')
     , (83, 'en', 'WiFi', '<p>80 % of the campsite area has free WiFi access.</p>')
     , (83, 'es', 'WiFi', '<p>Un 80 % del área del camping dispone de acceso WiFi libre.</p>')
     , (84, 'en', 'Bar & Tapas', '<p>Open:</p><ul><li>From 07/01 to 08/28: everyday</li><li>From April to September: weekends and holidays</li></ul>')
     , (84, 'es', 'Bar & Tapas', '<p>Abierto:</p><ul><li>Del 01/07 al 28/08: cada día</li><li>De abril a setiembre: fines de semana y puentes</li></ul>')
     , (85, 'en', 'Shop', '<p>Open daily</p><p>Sale of daily bread to order.</p>')
     , (85, 'es', 'Tienda', '<p>Abierta a diario.</p><p>Venta de pan del día por encargo.</p>')
     , (86, 'en', 'Accessibility', '<p>Swimming pools and campsite services adapted to people with reduced mobility.</p>')
     , (86, 'es', 'Acesibilidad', '<p>Piscinas y servicios del camping adaptados a personas con mobilidad reducida.</p>')
     , (87, 'en', 'Toilets', '<p>Central and practical location. Clean and well maintained.</p>')
     , (87, 'es', 'Lavabos', '<p>Ubicación central y práctica. Limpios y bien mantenidos.</p>')
     , (88, 'en', 'Showers', '<p>Hot water, no tokens.</p>')
     , (88, 'es', 'Duchas', '<p>Agua caliente, sin fichas.</p>')
     , (89, 'en', 'Baby baths', '<p>Individual bathroom for babies, with bathtub and changing table.</p>')
     , (89, 'es', 'Baño para bebés', '<p>Baños individuales para bebés, con bañera y cambiador.</p>')
     , (90, 'en', 'Swimming pool', '<p>Adult pool and children’s pool.</p><p><em>(Salt water swimming pools.)</em></p>')
     , (90, 'es', 'Piscina', '<p>Piscina para adultos y piscina infantil.</p><p><em>(Piscinas con agua salada.)</em></p>')
     , (91, 'en', 'Barbecue', '<p>You will find a communal charcoal barbecue or the possibility of renting a gas barbecue (no wood or charcoal can be used on the plots).</p>')
     , (91, 'es', 'Barbacoa', '<p>Encontraréis una barbacoa comunitaria de carbón o la posibilidad de alquilar una barbacoa de gas (no se puede utilizar leña o carbón en las parcelas).</p>')
     , (92, 'en', 'RV service station', '<p>Located at the entrance of the campsite.</p>')
     , (92, 'es', 'Estación servicio para autocaravanas', '<p>Situada en la entrada del camping.</p>')
     , (93, 'en', 'Play area', '<p>A central area for the little ones.</p>')
     , (93, 'es', 'Zona de juegos', '<p>Una zona central para los más pequeños.</p>')
     , (94, 'en', 'Sports area', '<p>With football field, volleyball, table tennis and room to play.</p>')
     , (94, 'es', 'Campo de deporte', '<p>Con campo de fútbol, voley, pimpón i espacio para jugar.</p>')
     , (95, 'en', 'Games and television room', '<p>A room for bad weather days.</p>')
     , (95, 'es', 'Sala de juegos y televisión', '<p>Una sala para los días de mal tiempo.</p>')
     , (96, 'en', 'Washing machines and dryers', '<p>There are two token-operated washing machines and a dryer in the campsite’s laundry facilities.</p>')
     , (96, 'es', 'Lavadora y secadoras', '<p>A los lavaderos del camping hay dos lavadoras y una secadora que funcionana con fichas.</p>')
     , (97, 'en', 'Fridge rental', '<p>Possibility to rent refrigerators for long stays with <a href="https://www.rentit.es/en/portal/productes/42/">Rent It</a>.</p>')
     , (97, 'es', 'Alquiler de neveras', '<p>Posibilidad de alquilar neveras para estancias largas con <a href="https://www.rentit.es/es/portal/productes/42/">Rent It</a>.</p>')
;

alter sequence season_season_id_seq restart with 92;
select add_season(52, 'Temporada alta', '#ff926c');
select add_season(52, 'Temporada mitjana', '#ffe37f');
select add_season(52, 'Temporada baixa', '#00aa7d');


commit;
